| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
Digikam::FaceClassifierBase Class Reference
Inheritance diagram for Digikam::FaceClassifierBase:

## Public Member Functions
QList< int > | predictMulti (const QList< cv::Mat > &targets) const override
QList< int > | predictMulti (const QList< cv::UMat > &targets) const override
Public Member Functions inherited from Digikam::MLClassifierFoundation
virtual int | predict (const cv::Mat &target, const QList< int > &exclusionLabelList=QList< int >()) const =0
virtual int | predict (const cv::UMat &target, const QList< int > &exclusionLabelList=QList< int >()) const =0
virtual bool | retrain ()=0
void | setThreshold (float _threshold)

## Static Public Attributes
static const int | UNKNOWN_LABEL_ID = -1

## Additional Inherited Members
Protected Member Functions inherited from Digikam::MLClassifierFoundation
virtual bool | loadTrainingData ()=0
Protected Attributes inherited from Digikam::MLClassifierFoundation
QReadWriteLock | lock
float | threshold = 0.0F

## Member Function Documentation

## ◆ predictMulti() [1/2]

QList< int > Digikam::FaceClassifierBase::predictMulti | ( | const QList< cv::Mat > & | targets | ) | const
| override virtual

Implements Digikam::MLClassifierFoundation.

## ◆ predictMulti() [2/2]

QList< int > Digikam::FaceClassifierBase::predictMulti | ( | const QList< cv::UMat > & | targets | ) | const
| override virtual

Implements Digikam::MLClassifierFoundation.